[ovs-discuss] linking error with dpdk

Bodireddy, Bhanuprakash bhanuprakash.bodireddy at intel.com
Sat Jun 18 20:47:15 UTC 2016


>-----Original Message-----
>From: discuss [mailto:discuss-bounces at openvswitch.org] On Behalf Of Raja
>Jayapal
>Sent: Saturday, June 18, 2016 8:44 AM
>To: dev at dpdk.org; discuss at openvswitch.org
>Cc: Nagaratna Patagar <nagaratna.patagar at tcs.com>
>Subject: [ovs-discuss] linking error with dpdk
>
>Hi All,
>
>I am trying to install dpdk with ovs, but am getting the linking errors.
>Downloaded and tried with dpdk 2.0/2.2/16.04 and latest ovs.
>
>DPDK : wget http://dpdk.org/browse/dpdk/snapshot/dpdk-2.0.0.tar.gz
>and wget http://dpdk.org/browse/dpdk/snapshot/dpdk-2.2.0.tar.gz
>OVS : git clone https://github.com/openvswitch/ovs.git
>
> ./configure --with-dpdk=/home/ubuntu/raja2/dpdk-2.2.0

This is not correct,  target also should be included i.e <LOCATION>/dpdk-<version>/x86_64-native-linuxapp-gcc

>- - - - - - -
>checking target hint for cgcc... x86_64
>checking whether make has GNU make $(if) extension... yes
>checking whether dpdk datapath is enabled... yes
>checking for /home/ubuntu/raja2/dpdk-2.2.0/include/rte_config.h... no
>checking for /home/ubuntu/raja2/dpdk-2.2.0/include/dpdk/rte_config.h... no
>configure: error: Could not find DPDK libraries in /home/ubuntu/raja2/dpdk-
>2.2.0/lib
>
>./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-
>dpdk=/home/ubuntu/raja1/dpdk-2.0.0/x86_64-native-linuxapp-gcc/ --
>enable-ssl

This looks ok.

> - - - - - - - - - -
>checking whether gcc -std=gnu99 accepts -Wno-unused-parameter... yes
>checking target hint for cgcc... x86_64
>checking whether make has GNU make $(if) extension... yes
>checking whether dpdk datapath is enabled... yes
>checking for /home/ubuntu/raja1/dpdk-2.0.0/x86_64-native-linuxapp-
>gcc//include/rte_config.h... yes
>configure: error: Could not find DPDK libraries in /home/ubuntu/raja1/dpdk-
>2.0.0/x86_64-native-linuxapp-gcc//lib

Well, there was a recent patch  with subject "NUMA Aware vhost user" that introduced a dependency on libnuma-dev package. 
In case you don't have it installed you get the above error( it's not appropriate though!). Hope this resolves your issue.

Regards,
Bhanu Prakash.

>ubuntu at 01HW462422:~/raja1/ovs$
>
>Installed dpdk successfully, but when i build ovs with dpdk i am getting the
>linking error in all the three versions of dpdk.
>Is there any specific version in which the dpdk-ovs will only work, if so please
>let me know.
>
>Thanks,
>Raja
>=====-----=====-----=====
>Notice: The information contained in this e-mail
>message and/or attachments to it may contain
>confidential or privileged information. If you are
>not the intended recipient, any dissemination, use,
>review, distribution, printing or copying of the
>information contained in this e-mail message
>and/or attachments to it are strictly prohibited. If
>you have received this communication in error,
>please notify us by reply e-mail or telephone and
>immediately and permanently delete the message
>and any attachments. Thank you



More information about the discuss mailing list